package com.reyun.model;

import java.util.List;

/**
 * Created by sunhao on 17/4/19.
 * description:事件页面展示model
 */
public class Event4Tracking {

    private String eventName;
    private String eventNameAlias;
    private Boolean isCommon;
    private Boolean status;
    private Boolean isVirtual;

    public Event4Tracking(Event4Web event4Web) {
        this.eventName = event4Web.getEventName();
        this.eventNameAlias = event4Web.getEventNameAlias();
        this.status = event4Web.getStatus();
        this.isCommon = event4Web.getCommon();
        this.isVirtual = event4Web.getVirtual();
    }


    public Boolean getVirtual() {
        return isVirtual;
    }

    public void setVirtual(Boolean virtual) {
        isVirtual = virtual;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventNameAlias() {
        return eventNameAlias;
    }

    public void setEventNameAlias(String eventNameAlias) {
        this.eventNameAlias = eventNameAlias;
    }

    public Boolean getCommon() {
        return isCommon;
    }

    public void setCommon(Boolean common) {
        isCommon = common;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "{" +
                "eventName='" + eventName + '\'' +
                ", eventNameAlias='" + eventNameAlias + '\'' +
                ", isCommon=" + isCommon +
                ", status=" + status +
                '}';
    }
}
